cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

234
Views
0
Helpful
7
Replies
Highlighted
Beginner

Installating CCM 4 into VM fail

Hello,

I am trying to install CCM 4.2 into VM but I am getting error " This upgrade can only be performed on Cisco Approved Hardware Platform".

I installed Windows 2000 SP4 then created two reg files into notepad. Save and merge. Following are the files:

ccmreg1.reg

Windows Registry Editor Version 5.00
[HKEY_LOCAL_MACHINE\SOFTWARE\Cisco Systems\Model]
“Hardware”=”MCS7825H02?
“Speed”=”2268?
“Memory”=”2048?
[HKEY_LOCAL_MACHINE\SOFTWARE\Spirian\System Info\OS Image]
“Version”=”2000.2.6?
[HKEY_LOCAL_MACHINE\SOFTWARE\Spirian\System Info\OS Service Release]
“Version”=”2000.2.6sr5?

ccmreg2.reg

Windows Registry Editor Version 5.00
[HKEY_LOCAL_MACHINE\SOFTWARE\Cisco Systems\Model]
“Hardware”=”MCS7825H02?
“Speed”=”2268?
“Memory”=”2048?
[HKEY_LOCAL_MACHINE\SOFTWARE\Cisco Systems\Spirian]
“ProductKey”=”BTOOVQESCCJUIEBI”
“Deployed”=”0000000000000000?

Then Restart Windows.

Apply OS Upgrade win-OS-Upgrade-K9.2000-4-2.ex. During the upgrade installation getting  error " This upgrade can only be performed on Cisco Approved Hardware Platform".

Any one know the solution ?

Regards

7 REPLIES 7
Highlighted
Enthusiast

I think the issue from your

I think the issue from your Windows. You have to use a special version from Windows customized by Cisco.

Highlighted
Beginner

I have seen some posts on

I have seen some posts on this forum where people has installed ccm 4.x on vmware by hacking the registry.

Yes, v8 onward is for virtualization.

https://supportforums.cisco.com/discussion/10552336/installing-call-manager-421-vmware

Highlighted
Cisco Employee

Well there are backdoor

Well there are backdoor entries to everything and anything. However from a functionality and support perspective, it will always be a big Question Mark

Regards

Deepak

Highlighted
Cisco Employee

Who told you that CM4 will

Who told you that CM4 will work on VM. Virtualization for CM is only effective v8 and not before that, you should probably try to install it on physical server such as MCS or equivalent to that.

Regards

Deepak

Highlighted
Hall of Fame Cisco Employee

And exactly what would be the

And exactly what would be the reason behind installing such an old version?? already outdated, out of support, and in a not supported fashion????

HTH

java

if this helps, please rate
Highlighted
Beginner

Thank for asking right

Thank for asking right question Jaime,

Purpose to install ccm4 on ucs is, customer is having ccm 4.x on mcs & I have to upgrade it to latest plus migrate on UCS. As per Cisco recommendation, install DMA into ccm 4.x, extract database and import it to ccm 7.1 (in UCS) and then upgrade from 7.1 to latest.

We don't want to install DMA on existing ccm 4 sever, because the hardware is not stable/healthy. As you know DMA installation need reload at the end and reloading server is Risk for us.

So I planned long way, to buid CCM 4 on my UCS in isolated network, restore database from existing MCS to UCS. After database successfully restored to UCS. Install DMA, Reload server. extract database & use it for ccm 7.x upgrade to latest.

One other option i read, is to use csv file from ccm4 and import to latest ccm 11.x directly. I am not sure how successful solution is it because the csv format for ccm4 is different then latest ccm and ccm4 csv requires alot of changes to import.

Please share your opinion or any thoughts if you have.

Appreciated.

Highlighted
Hall of Fame Cisco Employee

I really can't answer on how

I really can't answer on how feasible it is to install 4.x on ESXi as that is something I've never tried, the earliest release I installed in my lab was 6.1 on ESXi 4.

As it has been mentioned before, CUCM was installed on a custom Windows release, not sure if just hacking your way into this would work. More importantly, as that method is not officially supported, you'd be putting your customer at risk of ending up with a non-supported environment. And even if you manage to get it installed, there's no guarantee DMA will not also complaint about your environment.

A straight BAT export/import doesn't work across different major releases, you'd need to massage the data as necessary so 11.x can accept the csv.

If they're already afraid of doing anything with the server, you'd have to think about the time you'll need to invest in trying to install 4.x in a not supported fashion (plus DMA + upgrades) Vs. the time it would take you to get the data in the right BAT format for 11.x and have fresh install.

HTH

java

if this helps, please rate
CreatePlease to create content
Content for Community-Ad

Cisco COVID-19 Survey